:root {
    --green: #0db02b;
    --blue: #28a9e2;
    --green-pale: #eef7e0;
    --navy: #1a2a3a;
    --navy-mid: #223345;
    --navy-lt: #2c4055;
    --white: #ffffff;
    --offwhite: #f7f9f4;
    --gray: #7a8fa6;
    --text: #5b5b5b;
    --border: #dde8d0;
    --green-blue-gradient: linear-gradient(to right, var(--green), var(--blue));
    --dark-green: #0A8D22;
    --light-green: #FBFFF4;
}
*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
html {
    scroll-behavior: smooth;
}
body {
    font-family: "Poppins", sans-serif;
    background: var(--white);
    color: var(--text);
    overflow-x: hidden;
}

/* --------------------------------------------- NAV HEADER --------------------------------------------- */
nav {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
    background: rgba(255, 255, 255, 1);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 7%;
    height: 84px;
    border-bottom: 3px solid;
    border-image-source: var(--green-blue-gradient);
    border-image-slice: 1;
    box-shadow: 0 2px 20px rgba(0, 0, 0, 0.07);
    transition: transform 0.4s cubic-bezier(0.25, 1, 0.5, 1);
}
.nav-logo img {
    width: 138px;
    height: auto;
    display: block;
    object-fit: contain;
}
.nav-text{
    display: flex;
    gap: 16px;
}
.nav-text span{
    display: inline-block;
    border: 1px solid rgba(91, 91, 91, .35);
}
.nav-text p{
    font-family: "Poppins", sans-serif;
    font-size: 20px;
    font-weight: 400;
    line-height: normal;
    color: var(--navy);
}
.nav-text p:first-child{
    font-weight: 500;
    color: var(--green);
}


/* --------------------------------------------- COMMON STYLINGS --------------------------------------------- */
section {
    padding: 90px 7%;
}

.section-eyebrow {
    width: 100%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-family: "Poppins", sans-serif;
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 1.5px;
    text-transform: uppercase;
    margin-bottom: 10px;
    background: linear-gradient(to left, #0db02b, #28a9e2);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: fadeUp 0.6s ease both 0.1s;
    position: relative;
    z-index: 10;
}

/*.section-eyebrow::before {
    content: "";
    display: block;
    width: 30px;
    height: 2px;
    background: var(--blue);
    border-radius: 999px;
    position: relative;
    z-index: 10;
}*/

h2{
    color: var(--text-grey);
    font-family: Poppins;
    font-size: 56px;
    font-style: normal;
    font-weight: 500;
    line-height: 72px;
    margin-bottom: 60px;
    position: relative;
    text-align: center;
    z-index: 10;
}

/* --------------------------------------------- HERO --------------------------------------------- */
#hero {
    min-height: 100vh;
    /*display: grid;
    grid-template-columns: 1fr 1fr;*/
    align-items: center;
    background: linear-gradient(270deg, rgba(40, 169, 226, 0.10) 0%, rgba(13, 176, 43, 0.10) 100%);
    position: relative;
    overflow: hidden;
    /* padding-right: 0; */
    padding-bottom: 0;
    display: flex;
}

#hero::before{
    position: absolute;
    content: "";
    inset: 0;
    background-image: url(../images/hero-bg.png);
    width: 100%;
    background-size: cover;       
    background-position: center;  
    background-repeat: no-repeat;
}

.hero-content {
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: 10% 0 140px 0;
    width: 50%;
    flex: 1;
}

h1{
    font-family: "Poppins", sans-serif;
    font-weight: 500;
    font-size: 46px;
    line-height: 94px;
    color: var(--text);
    margin-bottom: 12px;
    animation: fadeUp 0.6s ease both 0.1s;
}

h1 span{
    color: var(--green);
    text-transform: uppercase;
    font-size: 100px;
    font-weight: 700;
    margin-bottom: -8px;
      display: block;
}

.hero-content p {
    font-size: 22px;
    font-weight: 400;
    color: var(--text);
    margin-bottom: 36px;
    line-height: normal;
    animation: fadeUp 0.6s ease both 0.4s;
}

.hero-content .para{
    width: 50%;
}

.hero-meta {
    display: flex;
    flex-wrap: wrap;
    gap: 64px;
    position: relative;
    animation: fadeUp 0.6s ease both 0.55s;
    margin-bottom: 44px;
}

.hero-meta-item {
    position: relative;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 12px;
    width: fit-content;
    max-width: 172px;
}

.hero-meta-item img{
    width: 32px;
    height: auto;
}

.hero-meta-item .content{
    display: flex;
    flex-direction: column;
    gap: 2px;
}

.hero-meta-item:nth-child(-n+2):not(:last-child)::after {
    content: "";
    position: absolute;
    right: -32px; 
    top: 0;
    height: 100%;
    width: 2px;
    background-color: rgba(91, 91, 91, 0.25);
}

.hero-meta-item span {
    color: var(--gray);
    font-size: 18px;
    line-height: normal;
    font-weight: 400;
}

.hero-meta-item p{
    color: var(--text);
    font-size: 18px;
    line-height: normal;
    font-weight: 500;
    margin-bottom: 0;
}

.hero-meta-item .small-text{
    font-size: 15px;
    font-weight: 400;
    color: var(--text);
}

.register-now-btn {
    width: fit-content;
    padding:18px 28px 18px 52px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    column-gap: 10px;
    background: var(--green);
    position: relative;
    overflow: hidden;
    color: #fff;
    font-family: "Poppins", sans-serif;
    font-size: 18px;
    font-weight: 500;
    border: none;
    border-radius: 999px;
    cursor: pointer;
    text-decoration: none;
    transition: all 0.4s ease;
}

.register-now-btn .btn-text{
    transition: transform 0.3s ease;
}

.register-now-btn img {
    position: absolute;
    width: 24px;
    left: 10%;
    top: 50%;
    transform: translateY(-50%);
    transition: all 0.4s ease;
}

.register-now-btn::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(90deg, #28a9e2, #0db02b);
    opacity: 0;
    transition: opacity 0.4s ease;
    border-radius: inherit;
}

.register-now-btn:hover::before {
    opacity: 1;
}

.register-now-btn:hover img {
    left: 78%;
}

.register-now-btn:hover .btn-text {
    transform: translateX(-24px);
}

.hero-image{
    position: absolute;
    right: 25px;
    bottom: 75px;
    height: 600px;
}

.hero-image img{
    height: 100%;
    width: auto;
}


/* ---------------------------------------- AGENDA SECTION ---------------------------------------- */

#agenda-section {
    position: relative;
    background: var(--white);
}

#agenda-section::after{
    position: absolute;
    content: "";
    inset: 0;
    background-image: url(../images/event-grid.png);
    width: 100%;
    height: 100%;
    background-size: cover;       
    background-position: center;  
    background-repeat: no-repeat;
    z-index: 0;
}

#agenda-section h2 {
    margin-bottom: 20px;
}

#agenda-section .sub-title {
    margin-bottom: 60px;
    width: 100%;
    text-align: center;
}

.agenda-grid{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 48px;
    align-items: start;
    position: relative;
    z-index: 10;
}

.agenda-table{
    border-radius: 24px;
    border: 1.5px solid #E5E5E5;
    background: #FCFCFC;
    overflow: hidden;
}

.agenda-table:last-child{
    margin-top: 30px;
}

.agenda-table-header{
    background: var(--green-pale);
    color: var(--dark-green);
    font-weight: 600;
    padding: 20px 24px;
    font-size: 22px;
}

.agenda-table-body{
    display: flex;
    flex-direction: column;
}

.agenda-row{
    padding: 24px;
    border-top: 1.5px solid #E5E5E5;
    font-size: 20px;
    font-weight: 400;
    color: var(--navy);
}

.agenda-table-body :nth-child(even){
    background: #F5F5F5;
}

.agenda-row:hover{
    background: rgba(238,247,224,0.5);
}


/* ---------------------------------------- REGISTRATION FORM SECTION ---------------------------------------- */

#registration-form{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: linear-gradient(270deg, rgba(40, 169, 226, 0.10) 0%, rgba(13, 176, 43, 0.10) 100%);
    position: relative;
    overflow: hidden;
}

#registration-form::before{
    content: "";
    position: absolute;
    width: 864px;
    height: 864px;
    left: -408px;
    top: -422px;
    border-radius: 864px;
    opacity: 0.25;
    background: linear-gradient(270deg, #28A9E2 0%, #0DB02B 100%);
    filter: blur(100px);
    animation: floatBlob 12s ease-in-out infinite;
}

#registration-form::after{
    content: "";
    position: absolute;
    width: 630px;
    height: 630px;
    right: -313px;
    bottom: -332px;
    border-radius: 630px;
    opacity: 0.25;
    background: linear-gradient(270deg, #28A9E2 0%, #0DB02B 100%);
    filter: blur(100px);
    animation: floatBlob 12s ease-in-out infinite reverse;
}
#registration-form p{
    margin-top: 40px;
    text-align: center;
}

#registration-form p a{
    color: rgba(91, 91, 91, 0.6);
}

.form-lines{
    content: "";
    position: absolute;
    background: url(../images/registration-form-concentric-circles.png);
    width: 1256px;
    height: 1256px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0.6;
    z-index: -1;
}



/* ------------------------------ FORM PANEL ------------------------------ */

.form-panel {
    position: relative;
    z-index: 15;
    background: var(--white);
    border-radius: 20px;
    padding: 32px;
    box-shadow: 0 4px 32px 0 rgba(0, 0, 0, 0.10);
    overflow-y: auto;
    width: 732px;
}

.form-area{
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.form-area p{
    margin-bottom: 20px;
}

.form-intent{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 14px;
}

.form-title {
    font-family: "Poppins", sans-serif;
    font-size: 28px;
    font-weight: 600;
    color: var(--text);
    margin-bottom: 0;
    line-height: 36px;
    text-align: center;
}

.form-title span{
    color: var(--green);
}

.form-desc {
    font-size: 14px;
    color: rgba(91, 91, 91, 0.6);
    margin-bottom: 0;
    line-height: 1.5;
}

.field-group {
    margin-bottom: 28px;
}

.field-group label {
    display: block;
    font-size: 16px;
    font-weight: 500;
    color: var(--text);
    margin-bottom: 6px;
}

.field-group label .req {
    color: var(--green);
}

.field-group input,
.field-group select {
    width: 100%;
    border: 1px solid rgba(91, 91, 91, .25);
    border-radius: 14px;
    padding: 16px 14px;
    font-family: "Poppins", sans-serif;
    font-size: 16px;
    color: var(--text);
    background: #fff;
    outline: none;
    appearance: none;
    -webkit-appearance: none;

    transition:
        border-color 0.2s,
        box-shadow 0.2s;
}

.field-group select {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 24 24' fill='none' stroke='%23666' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 14px center;
    background-size: 18px;
}

.field-group input:focus,
.field-group select:focus {
    border-color: var(--green);
    box-shadow: 0 0 0 3px rgba(120, 184, 42, 0.14);
}

.phone-row {
    display: grid;
    grid-template-columns: 92px 1fr;
    gap: 8px;
}

.btn-submit {
    width: 100%;
    padding: 16px 20px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background: var(--green);
    position: relative;
    overflow: hidden;
    color: #fff;
    font-family: "Poppins", sans-serif;
    font-size: 18px;
    font-weight: 500;
    border: none;
    border-radius: 999px;
    cursor: pointer;
    margin-top: 10px;
    transition: all 0.4s ease;
}

.btn-submit .btn-text{
    transition: transform 0.3s ease;
}

.btn-submit img {
    position: absolute;
    width: 24px;
    left: 36%;
    top: 50%;
    transform: translateY(-50%);
    transition: all 0.4s ease;
}

.btn-submit::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(90deg, #28a9e2, #0db02b);
    opacity: 0;
    transition: opacity 0.4s ease;
    border-radius: inherit;
}

.btn-submit:hover::before {
    opacity: 1;
}

.btn-submit:hover img {
    left: 59%;
}

.btn-submit:hover .btn-text {
    transform: translateX(-10px);
}

.form-note {
    text-align: center;
    font-size: 12px;
    color: rgba(91, 91, 91, 0.6);
    margin-top: 8px;
    font-weight: 400;
}

.email-err {
    font-size: 0.71rem;
    color: #c0392b;
    margin-top: 4px;
    display: none;
}

.success-msg {
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 14px;
    padding: 40px 20px;
}

.success-msg .check {
    width: 64px;
    height: 64px;
    background: var(--green);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2rem;
    color: #fff;
}

.success-msg h3 {
    font-family: "Poppins", sans-serif;
    font-size: 1.5rem;
    font-weight: 600;
    color: var(--navy);
}

.success-msg p {
    font-size: 0.86rem;
    font-weight: 400;
    color: var(--gray);
    line-height: 1.6;
}



/* --------------------------------------------- FOOTER --------------------------------------------- */
footer {
    background: var(--navy);
    border-top: 3px solid;
    border-image-source: var(--green-blue-gradient);
    border-image-slice: 1;
    box-shadow: 0 2px 20px rgba(0, 0, 0, 0.07);
    padding: 20px 7%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 14px;
}

.footer-logo img {
    width: 130px;
    height: auto;
    object-fit: cover;
}

.footer-copy {
    font-size: 14px;
    font-weight: 400;
    color: rgba(255, 255, 255, 0.50);
}


/* ----------------------------------------- ANIMATIONS KEYFRAMES ----------------------------------------- */

@keyframes fadeUp {
    from {
        opacity: 0;
        transform: translateY(30px);
    }
    to {
        opacity: 1;
        transform: none;
    }
}
@keyframes pulseDot {
    0%,
    100% {
        opacity: 1;
        transform: scale(1);
    }
    50% {
        opacity: 0.5;
        transform: scale(0.8);
    }
}

@keyframes pulseAnimate{
    0%{
    opacity: 0.8;
    transform: scale(0.2);
    }
    100%{
    opacity: 0;
    transform: scale(2.6);
    }
}

@keyframes scaleAnimate{
    0%{
    transform: scale(1);
    }
    50%{
    transform: scale(0.7);
    }
    100%{
        transform: scale(1);
    }
}


@keyframes floatBlob {
    0% {
        transform: translate(0, 0) scale(1);
    }
    50% {
        transform: translate(40px, 30px) scale(1.05);
    }
    100% {
        transform: translate(0, 0) scale(1);
    }
}


/* ----------------------------------------- RESPONSIVE ----------------------------------------- */

@media (max-width: 1279px) {
    #hero{
        min-height: auto;
    }
    .hero-image{
        height: 50%;
        bottom: 200px;
    }
    h1{
        font-size: 36px;
        line-height: 68px;
    }
    h1 span{
        font-size: 78px;
    }
    .hero-content p{
        font-size: 20px;
    }
    .hero-meta{
        row-gap: 10px;
    }
    .hero-meta-item:first-child::after {
        right: -28px;
    }
    .hero-meta-item p{
        font-size: 18px;
    }
}

@media (max-width: 1023px) {
    #hero{
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 48px;
        padding-bottom: 90px;
    }
    .hero-content{
        padding-bottom: 0;
    }
    .hero-image{
        position: relative;
        left: 0;
        bottom: 0;
        height: 480px;
    }

    #agenda-section::after{
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    .agenda-grid {
        grid-template-columns: 1fr;
    }

    h2{
        font-size: 40px;
        line-height: normal;
        margin-bottom: 32px;
    }

    .form-panel{
        width: 100%;
        padding: 48px;
    }
    .btn-submit img {
        left: 33%;
    }
    .btn-submit:hover img{
        left: 61%;
    }

}



@media (max-width: 767px){
    .nav-text{
        flex-direction: column;
        gap: 4px;
    }
    .nav-text p{
        font-size: 16px;
    }
    .nav-text span{
        display: none;
    }
    section{
       padding: 48px clamp(16px, 5vw, 28px);
    }
    #registration-form .section-title h2 {
        margin-bottom: 32px;
    }
    #hero{
        display: flex;
        flex-direction: column;
        min-height: auto;
        gap: 32px;
        padding-bottom: 48px;
    }
    .hero-content{
        padding: 68px 0 0 0;
        padding-right: 0;
        width: 100%;
    }
    .hero-content .para{
        width: 100%;
    }
    h1{
        font-size: 24px;
        line-height: 52px;
    }
    h1 span{
        font-size: 52px;
    }
    .hero-meta{
        gap: 28px;
        margin-bottom: 32px;
        flex-wrap: wrap;
    }
    .hero-meta-item{
        width: 100%;
        max-width: 100%;
        flex-direction: row;
        align-items: center;
        gap: 8px;
    }
    .hero-meta-item:first-child::after {
        display: none;
    }
    .hero-content p{
        font-size: 16px;
        margin-bottom: 24px;
    }
    .hero-meta-item img{
        width: 28px;
    }
    .hero-meta-item span{
        font-size: 16px;
    }
    .hero-meta-item p{
        font-size: 18px;
        line-height: normal;
        margin-bottom: 0;
    }
    .hero-image{
        position: relative;
        right: -60px;         
        bottom: 0;
        height: auto;
        width: 100%;
        margin-top: 30px;
    }
    .hero-image img{
        width: 100%;
        height: auto;
        display: block;
    }
    h2{
        font-size: 36px;
        line-height: 48px;
        margin-bottom: 32px;
    }
    .agenda-grid {
        grid-template-columns: 1fr;
        gap: 40px;
    }
    .agenda-table-header{
        font-size: 20px;
    }
    .agenda-row{
        font-size: 18px;
    }
    .form-panel{
        width: 100%;
        padding: 36px 6%;
        box-shadow: none;
        border-top: 2px solid var(--green);
        border-bottom: 2px solid var(--blue);
    }
    .form-title{
        font-size: 24px;
        line-height: normal;
    }
    .btn-submit img {
        left: 19%;
    }
    .btn-submit:hover img{
        left: 71%;
    }
    footer {
        flex-direction: column;
        align-items: flex-start;
        padding: 28px;
    }

}





.error {
  border: 1px solid red !important;
}

#email-err {
  display: none;
  color: red;
  font-size: 12px;
}

.success-msg {
  display: none;
}
